%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define tarballversion 1.2.4
Name:           python-GeoIP
Version:        1.2.5
Release:        0.2.20090931cvs%{?dist}
Summary:        Python bindings for the GeoIP geographical lookup libraries

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.maxmind.com/download/geoip/api/python/
Source0:        http://www.maxmind.com/download/geoip/api/python/GeoIP-Python-%{tarballversion}.tar.gz
Patch0:         python-GeoIP-1.2.4-ipv6.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# GeoIP 1.4.7 needed for IPv6 lookup functions
BuildRequires:  python-devel, GeoIP-devel >= 1.4.7

%description
This package contains the Python bindings for the GeoIP API, allowing IP to
location lookups to country, city and organization level within Python code.

%prep
%setup -q -n GeoIP-Python-%{tarballversion}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
# To avoid adding un-needed dependencies
chmod -x test*.py

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README ChangeLog test*.py
%{python_sitearch}/GeoIP.so
%{python_sitearch}/GeoIP_Python*


%changelog
* Tue Sep  1 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.5-0.2.20090931cvs
- fix prerelease versioning

* Mon Aug 31 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.5-0.1.20090931cvs
- add IPv6 functions from CVS HEAD

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.4-1
- Update to 1.2.4

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.2-2
- Rebuild for Python 2.6

* Sun Aug 31 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.2-1
- Update to 1.2.2
- Drop ccodes patch as it's been accepted upstream
- Change of license to LGPL

* Sat Feb 23 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-12
- Include egg-info files (as generated by Python 2.5)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.1-10
- Autorebuild for GCC 4.3

* Thu Sep 13 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-9
- Add patch to expose country codes courtesy of Ignacio Vazquez-Adams
  (bz #243696)
- Update License tag per new guidelines
- Fix requires per python packaging guidelines.

* Sat Dec 9 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-6
- Rebuild for python 2.5

* Mon Sep 4 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-5
- Rebuild

* Mon Jun 19 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-4
- Bump to create sane distro upgrade paths

* Mon Feb 21 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-3
- Trivial spec tweaks
- Removed redundant GeoIP Requires: (rpm picks it up automatically)

* Mon Feb 20 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-2
- Change name to -GeoIP in keeping with naming conventions.
- Fix dependency issues caused by the test scripts in %%doc.

* Sat Feb 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.1-1
- Initial version.
